Public Member Functions | Public Attributes | List of all members
SDWParserInternal::State Struct Reference

Internal: the state of a SDWParser. More...

## Public Member Functions
| State ()
| constructor

## Public Attributes
int | m_actPage
| the actual page
int | m_numPages
| the number of page of the final document
std::shared_ptr< StarObjectText > | m_mainText
| the main graphic document

## Detailed Description

Internal: the state of a SDWParser.

## Constructor & Destructor Documentation

## ◆ State()

SDWParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_actPage

int SDWParserInternal::State::m_actPage

the actual page

## ◆ m_mainText

std::shared_ptr<StarObjectText> SDWParserInternal::State::m_mainText

the main graphic document

## ◆ m_numPages

int SDWParserInternal::State::m_numPages

the number of page of the final document

The documentation for this struct was generated from the following file:

- SDWParser.cxx